# Circe

[![crates.io](https://img.shields.io/crates/v/async-circe.svg)](https://crates.io/crates/async-circe)
[![Documentation](https://docs.rs/circe/badge.svg)](https://docs.rs/async-circe)
[![Unlicense](https://img.shields.io/crates/l/circe.svg)](./LICENSE)

`async-circe` is a an IRC crate built to be as minimal as possible. It's currently work-in-progress, and more stuff is on its way!

## Getting started

To start using Circe, just add the crate to your `Cargo.toml`, and then follow the example below.

```rust
use async_circe::{commands::Command, Client, Config};

#[tokio::main(flavor = "current_thread")]
async fn main() -> Result<(), tokio::io::Error> {
    let config = Config::new(
            &["#chaos", "#async-circe"],
            "karx.xyz",
            Some("+B"),
            Some("async-circe"),
            6697,
            "circe",
            );
    let mut client = Client::new(config).await.unwrap();
    client.identify().await.unwrap();

    loop {
        if let Some(command) = client.read().await? {
            if let Command::PRIVMSG(nick, channel, message) = command {
                println!("{} in {}: {}", nick, channel, message);
            }
        }
    }
}

```

Happy hacking!

todo list for famfo:
- [x]: implement getting the topic of a channel
- [ ]: implement getting users in a channel
